Subject: Re: [Query] Update email-id in kernel source

From: Chris Packham <[email-masked]>
Date: Wed, 13 Jun 2012 21:43:05 +1200

On 06/13/2012 09:24 PM, viresh kumar wrote:
> Hi guys,
> 
> I have recently changed my company and am required to update my email address in
> kernel source.
> 
> I can only see one way of doing that:
> - Do a git grep, update all files, commit and post the patch.
> 
> Is there any better way of doing this that git provides, by which even
> 'git log' would show
> the latest id available? I heard from a friend but don't know if it exists.
> 
> --
> Viresh
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Not sure if the kernel maintains one but projects can use a .mailmap[1]
file to do just this kind of thing. You'd still have to update code if
you want people to get hold of you from MODULE_AUTHOR statements.

--
[1] - http://www.git-scm.com/docs/git-shortlog